/**
 * Synchronize Script v1.0
 *
 *  15-01-2006 Gilles PIALAT
 *
 **/



import System;
import System.IO;
import Sony.Vegas;
import System.Windows.Forms;

var syncPos : Timecode;
var TLSyncMarker = new Timecode ("00:01:00;00"); // A modifier si point de synchro suprieur  1mn.
var endSplitscreen = new Timecode ("00:00:00;00");

try
{
	var trackEnum = new Enumerator(Vegas.Project.Tracks);
	var i=0
	while (!trackEnum.atEnd())
	{
		if (Vegas.Project.Tracks[i].Name==("Cam_" + i) || (Vegas.Project.Tracks[i].Name=="Master Audio"))
		{
		syncPos = Vegas.Project.Tracks[i].Events[0].ActiveTake.Media.Markers[0].Position;
		Vegas.Project.Tracks[i].Events[0].Start = TLSyncMarker - syncPos
			if (endSplitscreen < Vegas.Project.Tracks[i].Events[0].End)
			{
			endSplitscreen = Vegas.Project.Tracks[i].Events[0].End
			}
		}
	i++;
	trackEnum.moveNext();
	}
	Vegas.Project.Tracks[0].Events[0].End = endSplitscreen;
}
catch (e)
{
MessageBox.Show(e);
}

