/**
 * Create Multicam Project script V1.0
 *
 *  15-01-2006 Gilles PIALAT
 *
 **/

import System;
import System.IO;
import Sony.Vegas;
import System.Windows.Forms;

var mediaStream : MediaStream;

try
{
for (var i=1 ; i<16 ; i++)
{
	if (Vegas.Project.Tracks[2].Name==("Cam_"+(i+1)))
		{
		mediaStream = Vegas.Project.Tracks[2].Events[0].Takes[0].MediaStream;
		var take = new Take(mediaStream);
		Vegas.Project.Tracks[1].Events[0].Takes.Add(take);
		Vegas.Project.Tracks[1].Events[0].Takes[i].Offset = Vegas.Project.Tracks[2].Events[0].Takes[0].Offset;
		Vegas.Project.Tracks[1].Events[0].Takes[i].Name = Vegas.Project.Tracks[2].Events[0].Takes[0].Name;
		Vegas.Project.Tracks.Remove(Vegas.Project.Tracks[2]);
		Vegas.UpdateUI();
		}
	else
		{
		break;
		}
}

Vegas.Project.Tracks[0].Name = "Monitoring";
Vegas.Project.Tracks[1].Name = "Multicam";

}
catch (e)
{
MessageBox.Show(e);
}